spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Scheidell <scheid...@secnap.net>
Subject heads up: .13.3 of re2c might be broken
Date Tue, 10 Jun 2008 19:20:18 GMT
Heads up: don't upgrade to re2c 13.3!!!

I upgraded from re2c 12.1 to 13.3 and now, things that used to compile, 
don't.

re2c -i -b -o scanner17.c scanner17.re
re2c: error: line 99, column 2: Token exceeds limit
command failed! at /usr/local/bin/sa-compile line 285, <$fh> line 5271.
fl# su - vscan -c "spamassassin --lint"
[11581] warn: netset: cannot include 10.1.1.1/32 as it has already been 
included

(lint is fine)


line 99 of scanner17.re:

        "we now offer over 30,000 products for your dollar store or 
d"            {RET("__FRAUD_QFY __SARE_OEM_1C __SARE_OEM_2C 
__SEEK_PUQJ1X");}

-- 
Michael Scheidell, President
Main: 561-999-5000, Office: 561-939-7259
 > *| *SECNAP Network Security Corporation
Winner 2008 Technosium hot company award.
www.technosium.com/hotcompanies/ <http://www.technosium.com/hotcompanies/>


Mime
View raw message